FreeBSD : xen-kernel -- arm: vgic-v2: GICD_SGIR is not properly emulated (785c86b1-27d6-11e5-a4a5-002590263bf5)

Medium Nessus Plugin ID 84704


The remote FreeBSD host is missing a security-related update.


The Xen Project reports :

When decoding a guest write to a specific register in the virtual interrupt controller Xen would treat an invalid value as a critical error and crash the host.

By writing an invalid value to the GICD.SGIR register a guest can crash the host, resulting in a Denial of Service attack.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 84704

File Name: freebsd_pkg_785c86b127d611e5a4a5002590263bf5.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2015/07/14

Modified: 2015/07/14

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.9

Vector: CVSS2#AV:L/AC:L/Au:N/C:N/I:N/A:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:xen-kernel, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/07/11

Vulnerability Publication Date: 2015/02/12

Reference Information

CVE: CVE-2015-0268